<?php

namespace Shqawe\AutoMoveByUserGroup\XF\Cron;

class AutoMoveByUserGroup
{
	public static function runAutoMoveByUserGroup()
	{
		// get options
		$options = \XF::options();	
		$targetForum = $options->amu_forum;
		$targetUsergroup = $options->amu_usergroup;
        
        if($options->amu_act == 2)
        {
           return \XF::app()->error()->logError(\XF::phrase('amu_is_disabled'));
            
        }
		// show error if empty
		if (empty($targetForum))
		{
			\XF::app()->error()->logError(\XF::phrase('amu_target_forum_not_selected'));
			return;
		}
		
		// show error if empty
		if (empty($targetUsergroup))
		{
			\XF::app()->error()->logError(\XF::phrase('amu_target_user_group_not_selected'));
			return;
		}
        
        $finder = \XF::finder('XF:Thread');
        $threads = $finder
            ->with('User')
            ->where('User.user_group_id', $targetUsergroup)
            ->order('thread_id', 'ASC')
            ->fetch();
        
		foreach ($threads AS $k => $v)
		{
			$targetNodeId = $targetForum;
			$moveToTargetForum = \XF::app()->em()->find('XF:Forum', $targetNodeId);

			$finder = \XF::finder('XF:Thread');
			$thread = $finder
				->where('thread_id', $v['thread_id'])
				->fetchOne();
            
            // move thread
			$mover = \XF::app()->service('XF:Thread\Mover', $thread);
		    	
        
            if($mover->move($moveToTargetForum))
            {
               return  \XF::app()->error()->logError(\XF::phrase('amu_threads_has_been_moved'));
            }

        
        }
        
	}
}